| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMComment Class Reference

This interface inherits from `CharacterData` and represents the content of a comment, i.e., all the characters between the starting ' `&lt;!--`' and ending '`--&gt;`'. More...

`#include <DOMComment.hpp>`

Inheritance diagram for DOMComment

[legend]
Collaboration diagram for DOMComment:

[legend]
List of all members.

## Public Methods

Destructor
virtual | ~DOMComment ()
| Destructor.

## Protected Methods

Hidden constructors
| DOMComment ()
| DOMComment (const DOMComment &)
DOMComment& | operator= (const DOMComment &)

## Detailed Description

This interface inherits from `CharacterData` and represents the content of a comment, i.e., all the characters between the starting ' `&lt;!--`' and ending '`--&gt;`'.

See also the Document Object Model (DOM) Level 2 Core Specification.

Since:
  DOM Level 1

## Constructor & Destructor Documentation

DOMComment::DOMComment ( | )`[protected]`

DOMComment::DOMComment ( | const DOMComment & )`[protected]`

DOMComment::~DOMComment ( | )`[virtual]`

| Destructor.

## Member Function Documentation

DOMComment & DOMComment::operator= ( | const DOMComment & )`[protected]`

The documentation for this class was generated from the following file:

- DOMComment.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.